hakyll-4.4.3.0: A static website compiler library

Safe Haskell | None

Hakyll.Web.Pandoc.Biblio

Description

Wraps pandocs bibiliography handling

In order to add a bibliography, you will need a bibliography file (e.g. `.bib`) and a CSL file (`.csl`). Both need to be compiled with their respective compilers (`biblioCompiler` and `cslCompiler`). Then, you can refer to these files when you use `pageReadPandocBiblio`. This function also takes the reader options for completeness -- you can use `defaultHakyllReaderOptions` if you're unsure.

# Documentation

data CSL Source

Instances

Show CSL |
Typeable CSL |
Binary CSL |
Writable CSL |

cslCompiler :: Compiler (Item CSL)Source

newtype Biblio Source

Constructors

Biblio [Reference] |

Instances

Show Biblio |
Typeable Biblio |
Binary Biblio |
Writable Biblio |

biblioCompiler :: Compiler (Item Biblio)Source

readPandocBiblio :: ReaderOptions -> Item CSL -> Item Biblio -> Item String -> Compiler (Item Pandoc)Source